## Apache Zeta Components Manual :: Docs For Class ezcWebdavBackendPut

### Webdav::ezcWebdavBackendPut

### Interface ezcWebdavBackendPut

Interface implemented by backends which support the PUT operation.

If a backend supports the PUT request method, it must implement this interface.

Source for this file: /Webdav/src/interfaces/backend/put.php

Version: | //autogentag//

### Method Summary

public ezcWebdavResponse | `put( $request )` Serves PUT requests.

### Methods

#### put

ezcWebdavResponse put( ezcWebdavPutRequest $request )

Serves PUT requests.

The method receives a ezcWebdavPutRequest objects containing all relevant information obout the clients request and will return an instance of ezcWebdavErrorResponse on error or ezcWebdavPutResponse on success.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$request` | ezcWebdavPutRequest |

Documentation generated by phpDocumentor 1.4.3